package cn.com.qmth.am.enums;

/**
 * 所有管理的文件类型
 */
public enum FileType {

    OPERATE_TASK_IMPORT_FILE("异步任务导入文件", "operate_task_import/%d/%s/%s/%s/%s"), OPERATE_TASK_FILE("异步任务结果文件",
            "operate_task/%d/%s/%s/%s/%s"), SLICE("裁切图", "slice/%d/%s/%s/%s/%s/%d/%s-%d.%s"), REFERENCE_PAPER(
                    "培训卷、rf卷、标准卷", "%s/%d/%s/%d/%s"), MARK_STANDARD("评分标准", "mark_standard/%d/%s/%d/standard.pdf"),;

    private String name;

    private String pattern;

    private FileType(String name, String pattern) {
        this.name = name;
        this.pattern = pattern;
    }

    public String getName() {
        return name;
    }

    public String getPattern() {
        return pattern;
    }

    public boolean equals(String type) {
        return toString().equalsIgnoreCase(type);
    }

    public static FileType findByText(String text) {
        for (FileType type : values()) {
            if (type.equals(text)) {
                return type;
            }
        }
        return null;
    }

    public String getPath(Object... param) {
        return String.format(pattern, param);
    }

}
